Skip to main content
PATCH
/
notes
/
{id}
Update a note
curl --request PATCH \
  --url https://{your-subdomain}.neetocrm.com/api/external/v1/notes/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <x-api-key>' \
  --data '
{
  "note": {
    "content": "Updated note about Oliver"
  }
}
'
{
  "note": {
    "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "content": "Important note about Eve",
    "user_id": "u1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "created_at": "2025-03-15T10:30:00.000Z",
    "updated_at": "2025-03-15T10:30:00.000Z"
  }
}
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Identifying your subdomain.

Headers

X-Api-Key
string
required

X-Api-Key is used to authenticate requests using an API key. Provide your API key in this header to access protected endpoints. Refer to Authentication for more information.

Path Parameters

id
string
required

The ID of the note to update. You can get the note id by listing notes for a resource using our List notes API.

Body

application/json
note
object

Response

200 - application/json

Note updated successfully.

note
object